# Draw
TKDCAF
DPrsStd

# DPrsStd Class Reference

commands for presentation based on AIS
======================================

`#include <DPrsStd.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | AllCommands (Draw_Interpretor &I)
| to load all sketch commands
static Standard_EXPORT void | AISPresentationCommands (Draw_Interpretor &I)
| to display....etc... ais presentation
static Standard_EXPORT void | AISViewerCommands (Draw_Interpretor &I)
| to repaint...etc... ais viewer
static Standard_EXPORT void | BasicCommands (Draw_Interpretor &I)
| set/get position attribute
static Standard_EXPORT void | Factory (Draw_Interpretor &theDI)
| Loads all Draw commands of TKDCAF. Used for plugin. .

## Member Function Documentation

static Standard_EXPORT void DPrsStd::AISPresentationCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DPrsStd::AISViewerCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DPrsStd::AllCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DPrsStd::BasicCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DPrsStd::Factory | ( | Draw_Interpretor & | theDI | ) | `[static]`

void DPrsStd::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DPrsStd::operator new | ( | size_t | size | ) | `[inline]`

void* DPrsStd::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DPrsStd.hxx